Package wx :: Package lib :: Module intctrl :: Class IntValidator

[frames | no frames]

## Type IntValidator

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
             Validator --+
                         |
               PyValidator --+
                             |
                            IntValidator

Validator class used with IntCtrl; handles all validation of input prior to changing the value of the underlying wx.TextCtrl.

Method Summary
| `__init__(self)`
| `Clone(self)`
| ``OnChar`(self, event)` Validates keystrokes to make sure the resulting value will a legal value.
| ``TransferFromWindow`(self)` Transfer data from window to validator.
| ``TransferToWindow`(self)` Transfer data from validator to window.
| ``Validate`(self, window)` Because each operation on the control is vetted as it's made, the value of the control is always valid.

Property Summary

Instance Method Details

### OnChar(self, event)

Validates keystrokes to make sure the resulting value will a legal value. Erasing the value causes it to be set to 0, with the value selected, so it can be replaced. Similarly, replacing the value with a '-' sign causes the value to become -1, with the value selected. Leading zeros are removed if introduced by selection, and are prevented from being inserted.

### TransferFromWindow(self)

Transfer data from window to validator.

The default implementation returns False, indicating that an error occurred. We simply return True, as we don't do any data transfer.

  Overrides:
    `wx.Validator.TransferFromWindow`

### TransferToWindow(self)

Transfer data from validator to window.

The default implementation returns False, indicating that an error occurred. We simply return True, as we don't do any data transfer.

  Overrides:
    `wx.Validator.TransferToWindow`

### Validate(self, window)

Because each operation on the control is vetted as it's made, the value of the control is always valid.

  Overrides:
    `wx.Validator.Validate`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:16 2007 | http://epydoc.sf.net